<script setup>
// import { computed } from "vue";
// import { useStore } from "vuex";
// const store = useStore();
// const user = computed(() => store.state.user);

import { onMounted } from "vue";
import { useStore } from "vuex";
import QList from "../components/QList.vue";
// import Navbar from "../components/Navbar.vue";

const store = useStore();

onMounted(async () => {
  await store.dispatch("fetchAllQuestions");
  // await store.dispatch("fetchUserFavourites");
});
</script>

<template>
  <p>Questions:</p>
  <!-- <Navbar :showSearch="true" /> -->
  <main class="container mx-auto px-4">
    <QList />
  </main>
</template>
